<?php
namespace Teknisa\PED\Modules\Pedidos\Controllers;

    use \Teknisa\GER\Libraries\PHPMailer;
    use Teknisa\PED\Controllers\TeknisaCrud;
    use Teknisa\GER\Controllers\CrudController;
    use Teknisa\PED\Modules\Pedidos\Services\Ped14000ParametrosWebServiceService;
    use Zeedhi\Framework\DTO;
    use Zeedhi\Framework\DTO\Response\Error;
    use \Zeedhi\Framework\DataSource\DataSet;
    use Zeedhi\Framework\DataSource\ParameterBag;
    
    class Ped14000ParametrosWebServiceController extends TeknisaCrud {
        protected $environment;
        protected $ParametrosWebServiceService;
        
        public function __construct($crudService, ParameterBag $parameterBag, $environment, $ParametrosWebServiceService){
            $this->environment = $environment;
            $this->parameterBag = $parameterBag;
            $this->ParametrosWebServiceService = $ParametrosWebServiceService;
            parent::__construct($crudService, $parameterBag);
        }

        
        public function salvarCadastroAutomaticoCliente(DTO\Request $request, DTO\Response $response){
            
            $row = $request->getRow();
            
            $this->ParametrosWebServiceService->salvarCadastroAutomaticoCliente($row);
        }
        public function salvarCadastroAutomaticoProduto(DTO\Request $request, DTO\Response $response){
            
            $row = $request->getRow();
            $this->ParametrosWebServiceService->salvarCadastroAutomaticoProduto($row);
        }
        public function salvarCadastroAutomaticoModalidade(DTO\Request $request, DTO\Response $response){
            
            $row = $request->getRow();
            $this->ParametrosWebServiceService->salvarCadastroAutomaticoModalidade($row);
        }
     
    }
 
?>