function Ped02200_parametroPreco_Controller(General, templateManager, ScreenService) {
    
    this.reload = function(){
        var widget = templateManager.container.getWidget('widgetParametrosPreco');
        widget.reload();
    };
    
    this.adicionar = function(){
        var widget = templateManager.container.getWidget('widgetParametrosPreco');
        var dados  = widget.dataSource.data;
        
        var nrseqpreuti = "0000000001";
        
        if(dados.length > 0){
            for(var i = 0; i < dados.length; i++){
                if(dados[i].NRSEQPREUTI > nrseqpreuti){
                    nrseqpreuti = dados[i].NRSEQPREUTI;
                }
            }
            nrseqpreuti++;
        }
        
        General.widgetNewRow(widget);
        widget.getField('NRSEQPREUTI').setValue(nrseqpreuti);
        widget.getField('CDEMPRESA').setValue('01');
        widget.reload();
    };
    
    this.salvar = function(){
        var widget = templateManager.container.getWidget('widgetParametrosPreco');
        var vrpeadpbase = parseFloat(widget.getField('VRPEADPBASE').value());
        
        if((vrpeadpbase > -100) && vrpeadpbase < 1000){
            var data   = widget.dataSource.data;
            var result = 0;
            
            for(var i = 0; i < data.length; i++){
                if((widget.currentRow.CDMODPGTO == data[i].CDMODPGTO) && 
                    (widget.currentRow.CDFILIAL == data[i].CDFILIAL) &&
                    (widget.currentRow.CDPRECOBASE == data[i].CDPRECOBASE)){
                    result++;
                }
            }
            
            if(widget.currentRow.__is_new == false){
                if(result == 1){
                        General.saveCrud(widget);
                }else if((result == 0) || (result > 1)){    
                    ScreenService.showMessage('Parâmetro de preço já cadastrado.');
                }    
            }else{
                if(result == 0){
                        General.saveCrud(widget);
                }else{
                    ScreenService.showMessage('Parâmetro de preço já cadastrado.');
                }
            }
        }else{
            ScreenService.showMessage('Acréscimo/Desconto(%) deve estar entre -99,99 e 999,99%');
        }
        
    };
    
    // this.editar = function(){
    //     var widget = templateManager.container.getWidget('widgetParametrosPreco');
    //     widget.getField('CDMODPGTO').readOnly = true;
    //     widget.getField('CDFILIAL').readOnly = true;
    //     General.edit(widget);        
    // };
    
    // this.salvarCancelarEdit = function(){
    //     var widget = templateManager.container.getWidget('widgetParametrosPreco');
    //     widget.getField('CDMODPGTO').readOnly = false;
    //     widget.getField('CDFILIAL').readOnly = false;
    //     widget.reload();
    // };
    
}

Configuration(function(ContextRegister){
    ContextRegister.register('Ped02200_parametroPreco_Controller', Ped02200_parametroPreco_Controller);
});

