var  ped05800_itens_composicao_preco_Controller = function(ScreenService, ped05800_itens_composicao_preco_Service, General, templateManager, ZHPromise, localStorageEngine,
                                                        restEngine, MessageService){
    
    this.geraCodigo = function(){
        this.enableField();
        var dataSource = templateManager.container.getWidget('widgetItensCompPreco').dataSource.data;
        var codigo = 0;
        dataSource.forEach(function(aux){
            if(aux.CDITFORPRECO > codigo){
                codigo = aux.CDITFORPRECO;
            }        
        });
        codigo ++;
        
        templateManager.container.getWidget('widgetItensCompPreco').getField('CDITFORPRECO').setValue(codigo);
        templateManager.container.getWidget('widgetItensCompPreco').getField('CDITFORPRECO').reload();
    };

    this.validaSigla = function(){
        var widget = templateManager.container.getActiveWidget();
        var sigla = widget.currentRow.SGITFORPRECO.toUpperCase();
        
        if (sigla == "PC"){
            ScreenService.showMessage('Sigla já reservada para Preço de Custo.');
            widget.getField('SGITFORPRECO').setValue("");
            
        }else{
            widget.currentRow.SGITFORPRECO = sigla;
            widget.getField('SGITFORPRECO').setValue(sigla);
            widget.getField('SGITFORPRECO').reload();

        }
    };
    
    this.salvar = function(){
        var widget = templateManager.container.getWidget('widgetItensCompPreco');
        var data = widget.dataSource.data;
        var codigo = 0;
        
        var regexp = /\d/;

        if(widget.currentRow.SGITFORPRECO.match(regexp)){
            ScreenService.showMessage('O campo sigla deve conter apenas letras.');
        }else{
           var cod = parseInt(widget.currentRow.CDITFORPRECO,10);
            data.forEach(function(aux){
                if(cod ==  aux.CDITFORPRECO){
                    codigo ++;
                }    
            });
            
            if(codigo == 1){
                General.saveCrud(widget);
            }else if(codigo == 2){
                ScreenService.showMessage('Código já cadastrada.');
            } 
        }
    };
    
    this.enableField = function(){
        var widget = templateManager.container.getActiveWidget();
        if(widget.currentRow.__is_new){
           widget.getField('CDITFORPRECO').readOnly = false;
        }else{
           widget.getField('CDITFORPRECO').readOnly = true;
        }
        
        
    };

};
Configuration(function(ContextRegister){
    ContextRegister.register('ped05800_itens_composicao_preco_Controller', ped05800_itens_composicao_preco_Controller);
});