<?php
namespace Teknisa\PED\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Geral\Util\DateUtil;
use Teknisa\Model\Pedidosexpedicao\Entities\Agendavendedor;
use Teknisa\PED\Factories\ped07000AgendaVendedorRegiaoFactory;

class ped07000AgendaVendedorRegiaoService {
    
    protected $entityManager;
    protected $environment;
    protected $newCode;
    protected $AgendaFactory;
    
    
    public function __construct(EntityManager $entityManager, Environment $environment, NewCode $newCode, $AgendaFactory)
    {        
        $this->entityManager                       = $entityManager;
        $this->environment                         = $environment;
        $this->newCode                             = $newCode;
        $this->AgendaFactory                       = $AgendaFactory;        
    }
    
    public function buscaCalendarColor($cdvendedor) {
        $nrorg = $this->environment->getNrOrgTrab();
        return $this->AgendaFactory->buscaCalendarColor($nrorg, $cdvendedor);
    }
    
    public function geraNrSeqAgendaVendedor($__new_code_pk) {
        $nrseqagevend = $this->newCode->getCodeByTableName($__new_code_pk, $this->environment->getNrOrgTrab(), 1, 4);
        return $nrseqagevend;
        
    }

}