var  Ped02600_parametrosPedidos_Controller = function(ScreenService, General, templateManager, ZHPromise, localStorageEngine, Ped02600_parametrosPedidos_Service){

    // Variaveis para recarregar widgets
    this.recarregaWidgetLancamentoPedido = true;
    this.recarregaWidgetItemLancamento = true;
    this.recarregaWidgetEstoqueItem = true;
    this.recarregaWidgetPrecoProduto = true;
    this.recarregaWidgetInformacoesFinanceras = true;
    this.recarregaWidgetDadosComissao = true;
    this.recarregaWidgetOperacoesImposto = true;
    this.recarregaWidgetAcesso = true;

   
    this.cancelEdit = function(args){
        var widget = args.owner.widget;
        widget.parent.widgets.forEach(function(element){
            if(element !== widget){
                element.enabled = true;
            }
        });
        widget.parent.getField('NMFILIAL').readOnly = false;
        General.formWidgetSwitchTemplate(widget);
        General.backOrCancel(args);
        // Voltar template do widget para list, conseguindo assim atualizar os dados da row
        args.owner.widget.list();
    };

    this.changeDataValidade = function(widget){
        if(widget.currentRow.IDUTVALIPED === 'S'){
            widget.getField('QTDIAVALIPED').readOnly = false;
        } else if(widget.currentRow.IDUTVALIPED === 'N'){
            widget.getField('QTDIAVALIPED').readOnly = true;
            // widget.getField('QTDIAVALIPED').value('');
        }
        templateManager.updateTemplate();
    };

    this.changeFields = function(widget){
        if(widget.currentRow){
            if(widget.name === 'lancamentoPedido'){
                this.changeDataValidade(widget);
                this.changeTipoOperacao(widget);
                widget.reload();
            } else if(widget.name === 'lancamentoItem'){
                this.changeGrupoper(widget);
                widget.reload();
            } else if(widget.name === 'precoProduto'){
                this.changeIdAtuTabPrecIni(widget);
                this.changePerAltPreco(widget);
                this.changeIdExibRentPed(widget);
                widget.reload();
            } else if(widget.name === 'informacoesFinanceiras'){
                this.changeIdPendFinan(widget);
                this.changeIdsitufinan(widget);
                widget.reload();
            } else if(widget.name === 'acesso'){
                //this.metodo(widget);
                //widget.reload();
            }
        }
    };

    this.changeGrupoper = function(widget){
        if((widget.currentRow.IDCONFISPRODCLIE === 'S') || (widget.currentRow.IDCONFISPRODFIL === 'S') || (widget.currentRow.IDCONFISPRODTRA === 'S')){
            widget.getField('DSGRUPOPER').readOnly = false;
        } else if((widget.currentRow.IDCONFISPRODCLIE === 'N') && (widget.currentRow.IDCONFISPRODFIL === 'N') && (widget.currentRow.IDCONFISPRODTRA === 'N')){
            widget.getField('DSGRUPOPER').readOnly = true;
        }
        templateManager.updateTemplate();
    };

    this.changeIdAtuTabPrecIni = function(widget){
        if(widget.currentRow.IDATUTABPRECINI === 'S'){
            widget.getField('VRPERDIFCUSPREC').readOnly = false;
            widget.getField('DSGRUPOPATPR').readOnly = false;
        } else if(widget.currentRow.IDATUTABPRECINI === 'N'){
            widget.getField('VRPERDIFCUSPREC').readOnly = true;
            widget.getField('DSGRUPOPATPR').readOnly = true;
        }
    };

    this.changeIdExibRentPed = function(widget){
        if(widget.currentRow.IDEXIBRENTPED === 'F'){
            widget.getField('NRTPCUSTORENT').readOnly = false;
            widget.getField('DSGRUNRENTAVEL').readOnly = false;
            widget.getField('NMITFORPRECO').readOnly = true;
        } else if(widget.currentRow.IDEXIBRENTPED === 'S'){
            widget.getField('NRTPCUSTORENT').readOnly = true;
            widget.getField('DSGRUNRENTAVEL').readOnly = true;
            widget.getField('NMITFORPRECO').readOnly = false;
        } else if(widget.currentRow.IDEXIBRENTPED === 'N'){
            widget.getField('NRTPCUSTORENT').readOnly = true;
            widget.getField('DSGRUNRENTAVEL').readOnly = true;
            widget.getField('NMITFORPRECO').readOnly = true;
        }
    };

    this.changeIdPendFinan = function(widget){
        if(widget.currentRow.IDPENDFINAN === '1'){
            widget.getField('NRDIAPENDFIN').readOnly = true;
            widget.getField('IDPENDFINANLANC').readOnly = true;
        } else if(widget.currentRow.IDPENDFINAN === '2'){
            widget.getField('NRDIAPENDFIN').readOnly = false;
            widget.getField('IDPENDFINANLANC').readOnly = false;
        } else if(widget.currentRow.IDPENDFINAN === '3'){
            widget.getField('NRDIAPENDFIN').readOnly = false;
            widget.getField('IDPENDFINANLANC').readOnly = false;
        }
    };
    
    this.changeIdsitufinan = function(widget){
        if(widget.currentRow.IDSITUFINAN === '1'){
            widget.getField('VRLIMAPROVA').readOnly = true;
        } else if(widget.currentRow.IDSITUFINAN === '2'){
            widget.getField('VRLIMAPROVA').readOnly = false;
        } else if(widget.currentRow.IDSITUFINAN === '3'){
            widget.getField('VRLIMAPROVA').readOnly = false;
        }
    };

    this.changePerAltPreco = function(widget){
        if(widget.currentRow.IDPERALTPRECO === 'S'){
            widget.getField('DSGRUALTPRECO').readOnly = false;
            widget.getField('DSPERALTMENOR').readOnly = false;
            widget.getField('DSPERALTMAIOR').readOnly = false;
        } else if(widget.currentRow.IDPERALTPRECO === 'N'){
            widget.getField('DSGRUALTPRECO').readOnly = true;
            widget.getField('DSPERALTMENOR').readOnly = true;
            widget.getField('DSPERALTMAIOR').readOnly = true;
        }
    };
    
    this.changeIdexibpedido = function(widget){
        if(widget.currentRow.IDEXIBPEDIDO === '1'){
            widget.currentRow.IDUTRELACVENDCLI = 'N';
            widget.getField('DSGRUPOPTPED').readOnlyOnEdit = true;
            widget.getField('IDUTRELACVENDCLI').readOnlyOnEdit = true;
            widget.getField('DSGRUPOPTPED').reload();
            widget.getField('IDUTRELACVENDCLI').reload();
        } else if(widget.currentRow.IDEXIBPEDIDO === '2'){
            widget.getField('DSGRUPOPTPED').readOnlyOnEdit = false;
            widget.getField('IDUTRELACVENDCLI').readOnlyOnEdit = false;
            widget.getField('DSGRUPOPTPED').readOnly = false;
            widget.getField('IDUTRELACVENDCLI').readOnly = false;
            widget.getField('DSGRUPOPTPED').reload();
            widget.getField('IDUTRELACVENDCLI').reload();
        }
        
    };

    this.changeTipoOperacao = function(widget){
        if(widget.currentRow.IDOBRTPOPPED === 'S'){
            widget.getField('NMTIPOOPER').readOnly = false;
        } else if(widget.currentRow.IDOBRTPOPPED === 'N'){
            widget.getField('NMTIPOOPER').readOnly = true;
            // widget.getField('NMTIPOOPER').value('');
        }
        templateManager.updateTemplate();
    };
    
    
    this.validateFieldsPrecoProduto = function(widget){
        this.changePerAltPreco(widget);
        this.changeIdtabprecoOnEnter(widget);
    };
    
    this.changeIdtabpreco = function(field){
        if(field.value() === '1'){
            field.getParent().getField('IDPERALTPRECO').readOnly = false;
            if(field.getParent().getField('IDPERALTPRECO').value() === 'S'){
                field.getParent().getField('DSGRUALTPRECO').readOnly = false;
                field.getParent().getField('DSPERALTMENOR').readOnly = false;
                field.getParent().getField('DSPERALTMAIOR').readOnly = false;
            }else{
                field.getParent().getField('DSGRUALTPRECO').readOnly = true;
                field.getParent().getField('DSPERALTMENOR').readOnly = true;
                field.getParent().getField('DSPERALTMAIOR').readOnly = true;
            }
        } else if(field.value() === '2'){
            field.getParent().getField('IDPERALTPRECO').readOnly = true;
            field.getParent().getField('DSGRUALTPRECO').readOnly = true;
            field.getParent().getField('DSPERALTMENOR').readOnly = true;
            field.getParent().getField('DSPERALTMAIOR').readOnly = true;
        }
    };

    this.changeIdtabprecoOnEnter = function(widget){
        if(widget.getField('IDTABPRECO').value() === '1'){
            widget.getField('IDPERALTPRECO').readOnly = false;
            if(widget.getField('IDPERALTPRECO').value() === 'S'){
                widget.getField('DSGRUALTPRECO').readOnly = false;
                widget.getField('DSPERALTMENOR').readOnly = false;
                widget.getField('DSPERALTMAIOR').readOnly = false;
            }else{
                widget.getField('DSGRUALTPRECO').readOnly = true;
                widget.getField('DSPERALTMENOR').readOnly = true;
                widget.getField('DSPERALTMAIOR').readOnly = true;
            }
        } else if(widget.getField('IDTABPRECO').value() === '2'){
            widget.getField('IDPERALTPRECO').readOnly = true;
            widget.getField('DSGRUALTPRECO').readOnly = true;
            widget.getField('DSPERALTMENOR').readOnly = true;
            widget.getField('DSPERALTMAIOR').readOnly = true;
        }
    };

    this.edit = function() {
        var widgetPrincipal = templateManager.container.getWidget('tabbedParametrosPedidos');
        var widget = templateManager.container.getActiveWidget();
        widgetPrincipal.getField('NMFILIAL').readOnly = true;
        widgetPrincipal.widgets.forEach(function(element){
            if(element !== widget){
                element.enabled = false;
            }
            this.changeFields(element);
        }.bind(this));

        if(widget.currentRow.__is_new === false){
            General.widgetEdit(widget);
        } else {
            widget.template = widget.templateToForm;
            widget.currentRow = {};
            widget.newRow();
            widget.currentRow.__is_new = true;
            widget.currentRow.CDFILIAL = widgetPrincipal.currentRow.CDFILIAL;

        }
    };
    
    this.habilitaCampos = function(){
        var widget = templateManager.container.getActiveWidget();
        if (widget.name == 'operacoesImpostos'){
            widget.getField('IDEXIBIMPITPED').readOnly = false;
            widget.getField('IDLANENCARGOPED').readOnly = false;
        }else if (widget.name == 'lancamentoItem'){
            widget.getField('IDCONFISPRODTRA').readOnly = false;
            widget.getField('IDCONFISPRODFIL').readOnly = false;
            widget.getField('IDCONFISPRODCLIE').readOnly = false;
            widget.getField('IDTPCOMPPROD').readOnly = false;
            widget.getField('IDUTDESCMAXI').readOnly = false;
            widget.getField('NRMAXITNFPED').readOnly = false;
            widget.getField('IDEXIBPRINATIV').readOnly = false;
        }else if(widget.name == 'acesso'){
            widget.getField('IDEXIBPEDIDO').readOnly = false;
            widget.getField('DSGRUPOPTPED').readOnlyOnEdit = true;
            widget.getField('IDUTRELACVENDCLI').readOnlyOnEdit = true;
            widget.getField('IDMENSVEND').readOnly = false;
            widget.getField('IDESTTODFIL').readOnly = false;
            widget.getField('VRMINPEDIDO').readOnly = false;
        }
    };
    this.desabilitacampo = function(){
        var widget = templateManager.container.getActiveWidget();
        if (widget.name == 'operacoesImpostos'){
            widget.getField('IDEXIBIMPITPED').readOnly = true;
            widget.getField('IDLANENCARGOPED').readOnly = true;
        }else if (widget.name == 'dadosComissao'){
            widget.getField('IDENCARPRIPARC').readOnly = true;
            widget.getField('IDEXIBVENDCOM').readOnly = true;
        }else if (widget.name == 'lancamentoItem'){
            widget.getField('IDCONFISPRODTRA').readOnly = true;
            widget.getField('IDCONFISPRODFIL').readOnly = true;
            widget.getField('IDCONFISPRODCLIE').readOnly = true;
            widget.getField('IDTPCOMPPROD').readOnly = true;
            widget.getField('IDUTDESCMAXI').readOnly = true;
            widget.getField('NRMAXITNFPED').readOnly = true;
            widget.getField('IDEXIBPRINATIV').readOnly = true;
        }else if (widget.name == 'estoqueItem'){
            widget.getField('IDTESTAEST').readOnly = true;
            widget.getField('IDUTRESELOTE').readOnly = true;
            widget.getField('IDEVOLESTLIQMAN').readOnly = true;
            widget.getField('IDCONSESTGEROP').readOnly = true;
            
        }else if (widget.name == 'precoProduto'){
            widget.getField('IDTABPRECO').readOnly = true;
            widget.getField('IDPERALTPRECO').readOnly = true;
            widget.getField('DSPERALTMENOR').readOnly = true;
            widget.getField('DSPERALTMAIOR').readOnly = true;
            
        }else if (widget.name == 'informacoesFinanceiras'){
            widget.getField('IDPENDFINAN').readOnly = true;
            widget.getField('NRDIAPENDFIN').readOnly = true;
            widget.getField('IDPENDFINANLANC').readOnly = true;
            widget.getField('IDSITUFINAN').readOnly = true;
            widget.getField('VRLIMAPROVA').readOnly = true;
            widget.getField('IDBLOQAPROVACAO').readOnly = true;
            widget.getField('DSGROPERAPRO').readOnly = true;
        }else if (widget.name == 'acesso'){
            widget.getField('IDEXIBPEDIDO').readOnly = true;
            widget.getField('DSGRUPOPTPED').readOnly = true;
            widget.getField('IDUTRELACVENDCLI').readOnly = true;
            widget.getField('IDMENSVEND').readOnly = true;
            widget.getField('IDESTTODFIL').readOnly = true;
            widget.getField('VRMINPEDIDO').readOnly = true;
            
        }
    };

    this.saveWidget = function(widget){

        var filter = [
                    {
                        "name": "CDFILIAL",
                        "operator": "=",
                        "value": widget.currentRow.CDFILIAL
                    },
                    {
                        "name": "NRORG",
                        "operator": "=",
                        "value": getLocalVar('NRORG')
                    }
                ];
                
        General.callRestEngine('ped#/crud/ped_parampedido', 'FilterData', filter).then(function(callback){
            if(!callback.dataset.ped_parampedido[0]){
                widget.currentRow.__is_new = true;
            }else {
                widget.currentRow.__is_new = false;
            }   
        
            var tabbedPedidos = widget.container.getWidget('tabbedParametrosPedidos');
            
            
            if(!widget.currentRow.IDUTCTREMPEN){
                widget.currentRow.IDUTCTREMPEN = "";
            }

            General.formWidgetSwitchTemplate(widget);
            widget.parent.widgets.forEach(function(element){
                if(element !== widget){
                    element.enabled = true;
                }
            });
            
            
            var widgetLancPed = templateManager.container.getWidget('lancamentoPedido');

            if(widget.currentRow.IDOBRTPOPPED == 'N' && widget.currentRow.IDEXIBIMPITPED == 'S') {
                
                ScreenService.showMessage("Não será possivel Exibir Impostos sem informar o Tipo de Operação no Lançamento de Pedido");

            } else if (widgetLancPed.currentRow.IDLANCPED == undefined && widget.currentRow.IDEXIBPRINATIV){
                ScreenService.showMessage("Preencha os parâmetros da aba Lançamento do Pedidos.");
                widget.parent.getField('NMFILIAL').readOnly = true;
            }else if(widgetLancPed.currentRow.IDLANCPED == undefined && widget.currentRow.IDTESTAEST){
                ScreenService.showMessage("Preencha os parâmetros da aba Lançamento do Pedidos.");
                widget.parent.getField('NMFILIAL').readOnly = true;
            }else if (widgetLancPed.currentRow.IDLANCPED == undefined && widget.currentRow.IDTABPRECO){
                ScreenService.showMessage("Preencha os parâmetros da aba Lançamento do Pedidos.");
                widget.parent.getField('NMFILIAL').readOnly = true;
            }else if(widgetLancPed.currentRow.IDLANCPED == undefined && widget.currentRow.IDPENDFINAN){
                ScreenService.showMessage("Preencha os parâmetros da aba Lançamento do Pedidos.");
                widget.parent.getField('NMFILIAL').readOnly = true;
            }else if(widgetLancPed.currentRow.IDLANCPED == undefined && widget.currentRow.IDENCARPRIPARC){
                ScreenService.showMessage("Preencha os parâmetros da aba Lançamento do Pedidos.");
                widget.parent.getField('NMFILIAL').readOnly = true;
            }else if(widgetLancPed.currentRow.IDLANCPED == undefined && widget.currentRow.IDEXIBIMPITPED){
                ScreenService.showMessage("Preencha os parâmetros da aba Lançamento do Pedidos.");
                widget.parent.getField('NMFILIAL').readOnly = true;
            }else if(widgetLancPed.currentRow.IDLANCPED == undefined && widget.currentRow.IDMENSVEND){
                ScreenService.showMessage("Preencha os parâmetros da aba Lançamento do Pedidos.");
                widget.parent.getField('NMFILIAL').readOnly = true;
            }else {
                var widgetOpImposto = templateManager.container.getWidget('operacoesImpostos');
                 General.saveCrud(widget).then(
                    function (success) {
        				Ped02600_parametrosPedidos_Service.saveRowParamPed(widget.currentRow).then(function(sucess){
        				    ScreenService.showMessage("Parametros salvos com sucesso.");
        				    
        				  //  widget.list();
        				    widget.parent.getField('NMFILIAL').readOnly = false;
        				    widgetOpImposto.getField('IDEXIBIMPITPED').readOnly = true;
                            widgetOpImposto.getField('IDLANENCARGOPED').readOnly = true;
        				  
        				    widget.reload();
        				    
        				    tabbedPedidos.reload();
        				    
        				    templateManager.updateTemplate();
        				    
        				    widget.list();
        				    
        				}.bind(this), 
        				
        				function(error){
        				    if((error.data.error[0] === "Não existe registro na tabela de Parametros de Expedição para a Filial selecionada.")){
        				        ScreenService.showMessage(error.data.error);
        				    } else if((error.data.error[0] === "Não existe registro na tabela de Parametros Gerais.") && (widget.parent.widgets[0].getField('IDUTCTREMPEN').isVisible === true)){
        				        ScreenService.showMessage(error.data.error);
        				        widget.currentRow.IDUTCTREMPEN = "";
        				    } else if((error.data.error.length > 1) && (widget.parent.widgets[0].getField('IDUTCTREMPEN').isVisible === true)){
        				        ScreenService.showMessage(error.data.error);
        				        widget.currentRow.IDUTCTREMPEN = "";
        				    }
        				    widget.reload();
        				    
        				    templateManager.updateTemplate();
        				}.bind(this));
                    }.bind(this)
        		);
                
            }
        });
    };

    this.updateDataSourceFilters = function(widget) {
        
        widget.dataSourceFilter[0].name = 'CDFILIAL';
        widget.dataSourceFilter[0].operator = '=';
        widget.dataSourceFilter[0].value = General.getFieldValue('CDFILIAL','tabbedParametrosPedidos');
        
        widget.dataSourceFilter[1].name = 'NRORG';
        widget.dataSourceFilter[1].operator = '=';
        widget.dataSourceFilter[1].value = getLocalVar('NRORG');
        
        return widget;
        
    };
    
    this.recarregaWidget = function(nomeVariavel, nomeWidget){
        if(this[nomeVariavel]){
            var widget = templateManager.container.getWidget(nomeWidget);
            widget = this.updateDataSourceFilters(widget);
            widget.reload();
            this[nomeVariavel] = false;
        }
        
    };

    this.showActionEdit = function(field){

        var widget = templateManager.container.getWidget('tabbedParametrosPedidos');
        if(field.value().length){
            var widgetAtiva = templateManager.container.getActiveWidget();
            widget.widgets.forEach(function(element){
                
                element.getAction('editar').isVisible = true;
                element.getAction('atualizar').isVisible = true;
                element = this.updateDataSourceFilters(element);
               
                this.recarregaWidgetLancamentoPedido = true;
                this.recarregaWidgetItemLancamento = true;
                this.recarregaWidgetEstoqueItem = true;
                this.recarregaWidgetPrecoProduto = true;
                this.recarregaWidgetInformacoesFinanceras = true;
                this.recarregaWidgetDadosComissao = true;
                this.recarregaWidgetOperacoesImposto = true;
                this.recarregaWidgetAcesso = true;
                widgetAtiva.currentRow = {};
                widgetAtiva.reload();
            }.bind(this));
            //setTimeout(function(){ widgetAtiva.reload(); }, 2000);
        } else {
            widget.widgets.forEach(function(element){
                element.getAction('editar').isVisible = false;
                element.getAction('atualizar').isVisible = false;
                element.currentRow = {};
                element.reload();
               
            });
        }

    };
    
    this.reloadWidgets = function(){
        var widget = templateManager.container.getWidget('tabbedParametrosPedidos');
        widget.widgets.forEach(function(element){
            element.reload();
        }.bind(this));
        templateManager.updateTemplate();
    };

   this.showDataSourceValue = function(widget){
    
        if(widget.dataSource.data[0]) {
            
            widget.currentRow = widget.dataSource.data[0];
            
        }
    
    };

    this.verifyNumber = function(field){
        if(field.value() > 100){
            ScreenService.showMessage('O número do percentual deve ser entre 0 e 100');
            field.value("");
        }
    };
    
    this.checkValue = function(){
        var widget = templateManager.container.getWidget("lancamentoItem");
       if(widget.currentRow.NRCASADECQTDE >= 5 || widget.currentRow.NRCASADECVRUNIT >=5){
        ScreenService.showMessage('O número de casas decimais não pode ser maior que 4');
            widget.getField("NRCASADECQTDE").setValue("");
            widget.getField("NRCASADECVRUNIT").setValue("");
       }
    };

};

Configuration(function(ContextRegister){
    ContextRegister.register('Ped02600_parametrosPedidos_Controller', Ped02600_parametrosPedidos_Controller);
});